> ## Documentation Index
> Fetch the complete documentation index at: https://docs.incident.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Show

> Show a single catalog entry.



## OpenAPI

````yaml /openapi/deprecated-endpoints.json get /v2/catalog_entries/{id}
openapi: 3.0.3
info:
  description: "This is the API reference for incident.io.\n\nIt documents available API endpoints, provides examples of how to use it, and\ninstructions around things like authentication and error handling.\n\nThe API is hosted at:\n\n- https://api.incident.io/\n\nAnd you will need to create an API key via your [incident.io\ndashboard](https://app.incident.io/settings/api-keys) to make requests.\n\n# Making requests\n\nHere are the key concepts required to make requests to the incident.io API.\n\n## Authentication\n\nFor all requests made to the incident.io API, you'll need an API key.\n\nTo create an API key, head to the incident dashboard and visit [API\nkeys](https://app.incident.io/settings/api-keys). When you create the key, you'll be able to choose what actions it\ncan take for your account: choose carefully, as those roles can only be set\nwhen you first create the key. We'll only show you the token once, so make sure\nyou store it somewhere safe.\n\nAPI keys are global to your incident.io account, and can be managed by anyone\nwho has the right permissions. We display the user that created the API key,\nand the API key will remain valid if that user becomes deactivated.\n\nOnce you have the key, you should make requests to the API that set the\n`Authorization` request header using a \"Bearer\" authentication scheme:\n\n```\nAuthorization: Bearer <YOUR_API_KEY>\n```\n\n## Rate Limits\n\nThe incident.io API enforces rate limits to ensure consistent performance for all users.\n\nThe default rate limit is 1200 requests/minute per API key. This limit applies to most endpoints across the API.\n\nSome endpoints have lower rate limits, particularly those that interact with external third-party systems that impose\ntheir own limitations. These specific limits vary by endpoint, and we recommend relying on the rate-limit error\nresponses to understand usage patterns and implement appropriate retry strategies.\n\nWhen you exceed a rate limit, the API will respond with a `429 Too Many Requests` status code, along with a JSON\nresponse that includes information about the limit and when you can retry:\n\n```json\n{\n    \"type\": \"too_many_requests\",\n    \"status\": 429,\n    \"request_id\": \"b839a403-7704-41c1-bf6a-39a2d68caefa\",\n    \"rate_limit\": {\n        \"name\": \"api_key_name\",\n        \"limit\": 1200,\n        \"remaining\": 0,\n        \"retry_after\": \"Thu, 17 Apr 2025 11:17:18 UTC\"\n    },\n    \"errors\": [\n        {\n            \"code\": \"too_many_requests\",\n            \"message\": \"Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.\"\n        }\n    ]\n}\n```\n\nThe response includes:\n* The name of the API key (`name`)\n* The bucket limit (`limit`)\n* The number of requests remaining (`remaining`)\n* When you can retry requests (`retry_after`)\n\n## Errors\n\nWe use standard HTTP response codes to indicate the status or failure of API\nrequests.\n\nThe API response body will be JSON, and contain more detailed information on the\nnature of the error.\n\nAn example error when a request is made without an API key:\n\n```json\n{\n  \"type\": \"authentication_error\",\n  \"status\": 401,\n  \"request_id\": \"8e3cc412-b49d-4957-9073-2c19d2c61804\",\n  \"errors\": [\n    {\n      \"code\": \"missing_authorization_material\",\n      \"message\": \"No authorization material provided in request\"\n    }\n  ]\n}\n```\n\nNote that the error:\n\n- Contains the HTTP status (`401`)\n- References the type of error (`authentication_error`)\n- Includes a `request_id` that can be provided to incident.io support to help\n\tdebug questions with your API request\n- Provides a list of individual errors, which go into detail about why the error\n\toccurred\n\nThe most common error will be a 422 Validation Error, which is returned when the\nrequest was rejected due to failing validations.\n\nThese errors look like this:\n\n```json\n{\n  \"type\": \"validation_error\",\n  \"status\": 422,\n  \"request_id\": \"631766c4-4afd-4803-997c-cd700928fa4b\",\n  \"errors\": [\n    {\n      \"code\": \"is_required\",\n      \"message\": \"A severity is required to open an incident\",\n      \"source\": {\n        \"field\": \"severity_id\"\n      }\n    }\n  ]\n}\n```\n\nThis error is caused by not providing a severity identifier, which should be at\nthe `severity_id` field of the request payload. Errors like these can be mapped to\nforms, should you be integrating with the API from a user-interface.\n\n## Compatibility\n\nWe won't make breaking changes to existing API services or endpoints, but will\nexpect integrators to upgrade themselves to the latest API endpoints within 3\nmonths of us deprecating the old service.\n\nWe will make changes that are considered backwards compatible, which include:\n\n- Adding new API endpoints and services\n- Adding new properties to responses from existing API endpoints\n- Reordering properties returned from existing API endpoints\n- Adding optional request parameters to existing API endpoints\n- Altering the format or length of IDs\n- Adding new values to enums\n\nIt is important that clients are robust to these changes, to ensure reliable\nintegrations.\n\nAs an example, if you are generating a client using an openapi-generator, ensure\nthe generated client is configured to support unknown enum values, often\nconfigured via the `enumUnknownDefaultCase` parameter.\n\nWhen breaking changes are unavoidable, we'll create a new service version on a\nseparate path, and run them in parallel.\n\nFor example:\n\n- https://api.incident.io/v1/incidents\n- https://api.incident.io/v2/incidents\n\nFor any questions, email support@incident.io.\n"
  title: incident.io
  version: 1.0.0
servers:
  - url: https://api.incident.io
security:
  - BearerAuth: []
tags:
  - description: "Manage incident actions.\n\nThese endpoints have been deprecated in favour of Actions V2 and Follow-ups V2, as these\nconcepts have become increasingly separate.\n\nIncidents have two types of actions associated to them:\n\n- Actions, used during an incident response as ephemeral todo lists\n- Follow-ups, actions which are for after the incident and can be exported to external\n\tissue trackers\n\nYou can manage actions in the incident Slack channel with <code>/incident actions</code>, or on\nthe incident homepage.\n\nExporting follow-ups to external issue trackers can be done in the incident homepage.\n"
    name: Actions V1
  - description: >
      Manage and browse catalog resources.


      These endpoints have been deprecated in favour of CatalogV3. The only
      breaking change is

      that the 'manual' attribute mode is now split into 'api' and 'dashboard'.
      We also removed

      the usage of some types that were deprecated in the V2 API. 


      Use the incident.io catalog to track services, teams, product features and
      anything

      else that helps build a map of your organisation. These different
      categories of thing

      become catalog types, and each instance (like a particular service or
      team) is a

      catalog entry.


      Each type is made up of a series of attributes, and each attribute has a
      type. Types

      can even have attributes that refer to other catalog types.


      We automatically create catalog types when you connect an integration,
      such as GitHub

      repositories or PagerDuty services and teams. You can use this API to
      create custom

      types, that are specifically tailored to your organisation.


      Examples might be a 'Service' type with an 'Alert channel' which you can
      point at a

      Slack channel, or 'Team' which specifies its 'Manager' and 'Technical
      Lead' as Slack

      users. You can then use these types to create powerful new workflows.


      Consider using our official [catalog
      importer](https://github.com/incident-io/catalog-importer).

      It can be used to sync catalog data from sources like local files or
      GitHub and push

      them into the incident.io catalog without having to directly interact with
      our public API.
    name: Catalog V2
  - description: >
      Manage custom fields.


      Custom fields are used to attach metadata to incidents, which you can use
      when searching

      for incidents in the dashboard, triggering workflows, building
      announcement rules or for

      your own data needs.


      Each field has a type:


      - Single-select, single value selected from a predefined list of options
      (e.g. Detection Method)

      - Multi-select, as above but you can pick more than one option (e.g.
      Affected Teams)

      - Text, freeform text field (e.g. Customer ID)

      - Link, link URL that is synced to Slack bookmarks on the incident channel
      (e.g. External Status Page)

      - Number, integer or fractional numbers (e.g. # Customers Affected)


      We may add more custom field types in the future - we'd love to hear any
      other types you'd like to use!
    name: Custom Fields V1
  - description: >
      Manage incident roles.


      During an incident, you can assign responders to one of the incident roles
      that are

      configured in your organisation settings.


      Every organisation will have a special 'lead' role, which signifies the
      incident lead or

      commander. This role cannot be deleted, but can be renamed in the
      incident.io dashboard.
    name: Incident Roles V1
  - description: >
      Create and read incidents.


      Incidents are a core resource, on which many other resources (actions,
      etc) are created.


      Care should be taken around these endpoints, as automation that creates
      duplicate

      incidents can be distracting, and impact reporting.


      The maximum page size that can be requested is 250.
    name: Incidents V1
paths:
  /v2/catalog_entries/{id}:
    get:
      tags:
        - Catalog V2
      summary: Show
      description: Show a single catalog entry.
      operationId: Catalog V2_ShowEntry
      parameters:
        - description: ID of this catalog entry
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          in: path
          name: id
          required: true
          schema:
            description: ID of this catalog entry
            example: 01FCNDV6P870EA6S7TK1DSYDG0
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                catalog_entry:
                  aliases:
                    - lawrence@incident.io
                    - lawrence
                  archived_at: '2021-08-17T14:28:57.801578Z'
                  attribute_values:
                    abc123:
                      array_value:
                        - catalog_entry:
                            archived_at: '2021-08-17T14:28:57.801578Z'
                            catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                            catalog_entry_name: Primary escalation
                            catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
                          helptext: abc123
                          image_url: abc123
                          is_image_slack_icon: false
                          label: Lawrence Jones
                          literal: SEV123
                          reference: incident.severity
                          sort_key: abc123
                          unavailable: false
                          value: abc123
                      value:
                        catalog_entry:
                          archived_at: '2021-08-17T14:28:57.801578Z'
                          catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                          catalog_entry_name: Primary escalation
                          catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
                        helptext: abc123
                        image_url: abc123
                        is_image_slack_icon: false
                        label: Lawrence Jones
                        literal: SEV123
                        reference: incident.severity
                        sort_key: abc123
                        unavailable: false
                        value: abc123
                  catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  created_at: '2021-08-17T13:28:57.801578Z'
                  external_id: 761722cd-d1d7-477b-ac7e-90f9e079dc33
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: Primary On-call
                  rank: 3
                  updated_at: '2021-08-17T13:28:57.801578Z'
                catalog_type:
                  annotations:
                    incident.io/catalog-importer/id: id-of-config
                  categories:
                    - customer
                  color: yellow
                  created_at: '2021-08-17T13:28:57.801578Z'
                  description: Represents Kubernetes clusters that we run inside of GKE.
                  dynamic_resource_parameter: abc123
                  estimated_count: 7
                  icon: alert
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  is_editable: false
                  last_synced_at: '2021-08-17T13:28:57.801578Z'
                  name: Kubernetes Cluster
                  ranked: true
                  registry_type: PagerDutyService
                  required_integrations:
                    - pager_duty
                  schema:
                    attributes:
                      - array: false
                        backlink_attribute: abc123
                        id: 01GW2G3V0S59R238FAHPDS1R66
                        mode: ''
                        name: tier
                        path:
                          - attribute_id: abc123
                            attribute_name: abc123
                        type: Custom["Service"]
                    version: 1
                  semantic_type: abc123
                  source_repo_url: https://github.com/my-company/incident-io-catalog
                  type_name: Custom["BackstageGroup"]
                  updated_at: '2021-08-17T13:28:57.801578Z'
              schema:
                $ref: '#/components/schemas/CatalogShowEntryResultV2'
          description: OK response.
      deprecated: true
components:
  schemas:
    CatalogShowEntryResultV2:
      example:
        catalog_entry:
          aliases:
            - lawrence@incident.io
            - lawrence
          archived_at: '2021-08-17T14:28:57.801578Z'
          attribute_values:
            abc123:
              array_value:
                - catalog_entry:
                    archived_at: '2021-08-17T14:28:57.801578Z'
                    catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    catalog_entry_name: Primary escalation
                    catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  helptext: abc123
                  image_url: abc123
                  is_image_slack_icon: false
                  label: Lawrence Jones
                  literal: SEV123
                  reference: incident.severity
                  sort_key: abc123
                  unavailable: false
                  value: abc123
              value:
                catalog_entry:
                  archived_at: '2021-08-17T14:28:57.801578Z'
                  catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  catalog_entry_name: Primary escalation
                  catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
                helptext: abc123
                image_url: abc123
                is_image_slack_icon: false
                label: Lawrence Jones
                literal: SEV123
                reference: incident.severity
                sort_key: abc123
                unavailable: false
                value: abc123
          catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
          created_at: '2021-08-17T13:28:57.801578Z'
          external_id: 761722cd-d1d7-477b-ac7e-90f9e079dc33
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: Primary On-call
          rank: 3
          updated_at: '2021-08-17T13:28:57.801578Z'
        catalog_type:
          annotations:
            incident.io/catalog-importer/id: id-of-config
          categories:
            - customer
          color: yellow
          created_at: '2021-08-17T13:28:57.801578Z'
          description: Represents Kubernetes clusters that we run inside of GKE.
          dynamic_resource_parameter: abc123
          estimated_count: 7
          icon: alert
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          is_editable: false
          last_synced_at: '2021-08-17T13:28:57.801578Z'
          name: Kubernetes Cluster
          ranked: true
          registry_type: PagerDutyService
          required_integrations:
            - pager_duty
          schema:
            attributes:
              - array: false
                backlink_attribute: abc123
                id: 01GW2G3V0S59R238FAHPDS1R66
                mode: ''
                name: tier
                path:
                  - attribute_id: abc123
                    attribute_name: abc123
                type: Custom["Service"]
            version: 1
          semantic_type: abc123
          source_repo_url: https://github.com/my-company/incident-io-catalog
          type_name: Custom["BackstageGroup"]
          updated_at: '2021-08-17T13:28:57.801578Z'
      properties:
        catalog_entry:
          $ref: '#/components/schemas/CatalogEntryV2'
        catalog_type:
          $ref: '#/components/schemas/CatalogTypeV2'
      required:
        - catalog_type
        - catalog_entry
      type: object
    CatalogEntryV2:
      example:
        aliases:
          - lawrence@incident.io
          - lawrence
        archived_at: '2021-08-17T14:28:57.801578Z'
        attribute_values:
          abc123:
            array_value:
              - catalog_entry:
                  archived_at: '2021-08-17T14:28:57.801578Z'
                  catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  catalog_entry_name: Primary escalation
                  catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
                helptext: abc123
                image_url: abc123
                is_image_slack_icon: false
                label: Lawrence Jones
                literal: SEV123
                reference: incident.severity
                sort_key: abc123
                unavailable: false
                value: abc123
            value:
              catalog_entry:
                archived_at: '2021-08-17T14:28:57.801578Z'
                catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                catalog_entry_name: Primary escalation
                catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
              helptext: abc123
              image_url: abc123
              is_image_slack_icon: false
              label: Lawrence Jones
              literal: SEV123
              reference: incident.severity
              sort_key: abc123
              unavailable: false
              value: abc123
        catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
        created_at: '2021-08-17T13:28:57.801578Z'
        external_id: 761722cd-d1d7-477b-ac7e-90f9e079dc33
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: Primary On-call
        rank: 3
        updated_at: '2021-08-17T13:28:57.801578Z'
      properties:
        aliases:
          description: Optional aliases that can be used to reference this entry
          example:
            - lawrence@incident.io
            - lawrence
          items:
            example: abc123
            type: string
          type: array
        archived_at:
          description: When this entry was archived
          example: '2021-08-17T14:28:57.801578Z'
          format: date-time
          type: string
        attribute_values:
          additionalProperties:
            $ref: '#/components/schemas/CatalogEntryEngineParamBindingV2'
          description: Values of this entry
          example:
            abc123:
              array_value:
                - catalog_entry:
                    archived_at: '2021-08-17T14:28:57.801578Z'
                    catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    catalog_entry_name: Primary escalation
                    catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  helptext: abc123
                  image_url: abc123
                  is_image_slack_icon: false
                  label: Lawrence Jones
                  literal: SEV123
                  reference: incident.severity
                  sort_key: abc123
                  unavailable: false
                  value: abc123
              value:
                catalog_entry:
                  archived_at: '2021-08-17T14:28:57.801578Z'
                  catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  catalog_entry_name: Primary escalation
                  catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
                helptext: abc123
                image_url: abc123
                is_image_slack_icon: false
                label: Lawrence Jones
                literal: SEV123
                reference: incident.severity
                sort_key: abc123
                unavailable: false
                value: abc123
          type: object
        catalog_type_id:
          description: ID of this catalog type
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        created_at:
          description: When this entry was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        external_id:
          description: >-
            An optional alternative ID for this entry, which is ensured to be
            unique for the type
          example: 761722cd-d1d7-477b-ac7e-90f9e079dc33
          type: string
        id:
          description: ID of this catalog entry
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Name is the human readable name of this entry
          example: Primary On-call
          type: string
        rank:
          description: When catalog type is ranked, this is used to help order things
          example: 3
          format: int32
          type: integer
        updated_at:
          description: When this entry was last updated
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - id
        - catalog_type_id
        - name
        - aliases
        - rank
        - attribute_values
        - created_at
        - updated_at
      type: object
    CatalogTypeV2:
      example:
        annotations:
          incident.io/catalog-importer/id: id-of-config
        categories:
          - customer
        color: yellow
        created_at: '2021-08-17T13:28:57.801578Z'
        description: Represents Kubernetes clusters that we run inside of GKE.
        dynamic_resource_parameter: abc123
        estimated_count: 7
        icon: alert
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        is_editable: false
        last_synced_at: '2021-08-17T13:28:57.801578Z'
        name: Kubernetes Cluster
        ranked: true
        registry_type: PagerDutyService
        required_integrations:
          - pager_duty
        schema:
          attributes:
            - array: false
              backlink_attribute: abc123
              id: 01GW2G3V0S59R238FAHPDS1R66
              mode: ''
              name: tier
              path:
                - attribute_id: abc123
                  attribute_name: abc123
              type: Custom["Service"]
          version: 1
        semantic_type: custom
        source_repo_url: https://github.com/my-company/incident-io-catalog
        type_name: Custom["BackstageGroup"]
        updated_at: '2021-08-17T13:28:57.801578Z'
      properties:
        annotations:
          additionalProperties:
            example: abc123
            type: string
          description: Annotations that can track metadata about this type
          example:
            incident.io/catalog-importer/id: id-of-config
          type: object
        categories:
          description: What categories is this type considered part of
          example:
            - customer
          items:
            enum:
              - customer
              - issue-tracker
              - product-feature
              - service
              - on-call
              - team
              - user
            example: customer
            type: string
            x-public-api-version: v2
          type: array
        color:
          description: Sets the display color of this type in the dashboard
          enum:
            - yellow
            - green
            - blue
            - violet
            - pink
            - cyan
            - orange
          example: yellow
          type: string
        created_at:
          description: When this type was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        description:
          description: Human readble description of this type
          example: Represents Kubernetes clusters that we run inside of GKE.
          type: string
        dynamic_resource_parameter:
          description: >-
            If this is a dynamic catalog type, this will be the unique parameter
            for identitfying this resource externally.
          example: abc123
          type: string
        estimated_count:
          description: If populated, gives an estimated count of entries for this type
          example: 7
          format: int64
          type: integer
        icon:
          description: Sets the display icon of this type in the dashboard
          enum:
            - alert
            - bolt
            - box
            - briefcase
            - browser
            - bulb
            - calendar
            - clock
            - cog
            - components
            - database
            - doc
            - email
            - escalation-path
            - files
            - flag
            - folder
            - globe
            - money
            - server
            - severity
            - status-page
            - store
            - star
            - tag
            - user
            - users
          example: alert
          type: string
        id:
          description: ID of this catalog type
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        is_editable:
          description: >-
            Catalog types that are synced with external resources can't be
            edited
          example: false
          type: boolean
        last_synced_at:
          description: When this type was last synced (if it's ever been sync'd)
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        name:
          description: Name is the human readable name of this type
          example: Kubernetes Cluster
          type: string
        ranked:
          description: If this type should be ranked
          example: true
          type: boolean
        registry_type:
          description: The registry resource this type is synced from, if any
          example: PagerDutyService
          type: string
        required_integrations:
          description: If populated, the integrations required for this type
          example:
            - pager_duty
          items:
            example: abc123
            type: string
          type: array
        schema:
          $ref: '#/components/schemas/CatalogTypeSchemaV2'
        semantic_type:
          description: This type has been deprecated, and will always be empty.
          example: abc123
          type: string
          x-public-api-version: v2
        source_repo_url:
          description: The url of the external repository where this type is managed
          example: https://github.com/my-company/incident-io-catalog
          type: string
        type_name:
          description: >-
            The type name of this catalog type, to be used when defining
            attributes. This is immutable once a CatalogType has been created.
            For non-externally sync types, it must follow the pattern
            Custom["SomeName"]
          example: Custom["BackstageGroup"]
          type: string
        updated_at:
          description: When this type was last updated
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - id
        - name
        - description
        - type_name
        - semantic_type
        - ranked
        - schema
        - icon
        - categories
        - color
        - is_editable
        - annotations
        - created_at
        - updated_at
      type: object
    CatalogEntryEngineParamBindingV2:
      example:
        array_value:
          - catalog_entry:
              archived_at: '2021-08-17T14:28:57.801578Z'
              catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
              catalog_entry_name: Primary escalation
              catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
            helptext: abc123
            image_url: abc123
            is_image_slack_icon: false
            label: Lawrence Jones
            literal: SEV123
            reference: incident.severity
            sort_key: abc123
            unavailable: false
            value: abc123
        value:
          catalog_entry:
            archived_at: '2021-08-17T14:28:57.801578Z'
            catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
            catalog_entry_name: Primary escalation
            catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
          helptext: abc123
          image_url: abc123
          is_image_slack_icon: false
          label: Lawrence Jones
          literal: SEV123
          reference: incident.severity
          sort_key: abc123
          unavailable: false
          value: abc123
      properties:
        array_value:
          description: If array_value is set, this helps render the values
          example:
            - catalog_entry:
                archived_at: '2021-08-17T14:28:57.801578Z'
                catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                catalog_entry_name: Primary escalation
                catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
              helptext: abc123
              image_url: abc123
              is_image_slack_icon: false
              label: Lawrence Jones
              literal: SEV123
              reference: incident.severity
              sort_key: abc123
              unavailable: false
              value: abc123
          items:
            $ref: '#/components/schemas/CatalogEntryEngineParamBindingValueV2'
          type: array
        value:
          $ref: '#/components/schemas/CatalogEntryEngineParamBindingValueV2'
      type: object
    CatalogTypeSchemaV2:
      example:
        attributes:
          - array: false
            backlink_attribute: abc123
            id: 01GW2G3V0S59R238FAHPDS1R66
            mode: ''
            name: tier
            path:
              - attribute_id: abc123
                attribute_name: abc123
            type: Custom["Service"]
        version: 1
      properties:
        attributes:
          description: Attributes of this catalog type
          example:
            - array: false
              backlink_attribute: abc123
              id: 01GW2G3V0S59R238FAHPDS1R66
              mode: ''
              name: tier
              path:
                - attribute_id: abc123
                  attribute_name: abc123
              type: Custom["Service"]
          items:
            $ref: '#/components/schemas/CatalogTypeAttributeV2'
          type: array
        version:
          description: The version number of this schema
          example: 1
          format: int64
          type: integer
      required:
        - attributes
        - version
      type: object
    CatalogEntryEngineParamBindingValueV2:
      example:
        catalog_entry:
          archived_at: '2021-08-17T14:28:57.801578Z'
          catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
          catalog_entry_name: Primary escalation
          catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
        helptext: abc123
        image_url: abc123
        is_image_slack_icon: false
        label: Lawrence Jones
        literal: SEV123
        reference: incident.severity
        sort_key: abc123
        unavailable: false
        value: abc123
      properties:
        catalog_entry:
          $ref: '#/components/schemas/CatalogEntryReferenceV2'
        helptext:
          description: >-
            This field is deprecated. It will not be present in any responses,
            and will be removed in a future version
          example: abc123
          type: string
        image_url:
          description: >-
            This field is deprecated. It will not be present in any responses,
            and will be removed in a future version
          example: abc123
          type: string
        is_image_slack_icon:
          description: >-
            This field is deprecated. It will not be present in any responses,
            and will be removed in a future version
          example: false
          type: boolean
        label:
          description: Human readable label to be displayed for user to select
          example: Lawrence Jones
          type: string
        literal:
          description: If set, this is the literal value of the step parameter
          example: SEV123
          type: string
        reference:
          description: >-
            This field is deprecated. It will not be present in any responses,
            and will be removed in a future version
          example: incident.severity
          type: string
        sort_key:
          description: >-
            This field is deprecated. It will not be present in any responses,
            and will be removed in a future version
          example: abc123
          type: string
        unavailable:
          description: >-
            This field is deprecated. It will not be present in any responses,
            and will be removed in a future version
          example: false
          type: boolean
        value:
          description: >-
            This field is deprecated. It will not be present in any responses,
            and will be removed in a future version
          example: abc123
          type: string
      required:
        - label
        - sort_key
      type: object
    CatalogTypeAttributeV2:
      example:
        array: false
        backlink_attribute: abc123
        id: 01GW2G3V0S59R238FAHPDS1R66
        mode: ''
        name: tier
        path:
          - attribute_id: abc123
            attribute_name: abc123
        type: Custom["Service"]
      properties:
        array:
          description: Whether this attribute is an array
          example: false
          type: boolean
        backlink_attribute:
          description: The attribute to use (if this is a backlink)
          example: abc123
          type: string
        id:
          description: The ID of this attribute
          example: 01GW2G3V0S59R238FAHPDS1R66
          type: string
        mode:
          description: Controls how this attribute is modified
          enum:
            - ''
            - manual
            - external
            - internal
            - dynamic
            - backlink
            - path
          example: ''
          type: string
          x-public-api-version: v2
        name:
          description: Unique name of this attribute
          example: tier
          type: string
        path:
          description: The path to use (if this is a path attribute)
          example:
            - attribute_id: abc123
              attribute_name: abc123
          items:
            $ref: '#/components/schemas/CatalogTypeAttributePathItemV2'
          type: array
        type:
          description: Catalog type name for this attribute
          example: Custom["Service"]
          type: string
      required:
        - id
        - mode
        - name
        - type
        - array
      type: object
    CatalogEntryReferenceV2:
      example:
        archived_at: '2021-08-17T14:28:57.801578Z'
        catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
        catalog_entry_name: Primary escalation
        catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
      properties:
        archived_at:
          description: When this entry was archived
          example: '2021-08-17T14:28:57.801578Z'
          format: date-time
          type: string
        catalog_entry_id:
          description: ID of this catalog entry
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        catalog_entry_name:
          description: The name of this entry
          example: Primary escalation
          type: string
        catalog_type_id:
          description: ID of this catalog type
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
      required:
        - catalog_type_id
        - catalog_entry_id
        - catalog_entry_name
      type: object
    CatalogTypeAttributePathItemV2:
      example:
        attribute_id: abc123
        attribute_name: abc123
      properties:
        attribute_id:
          description: the ID of the attribute to use
          example: abc123
          type: string
        attribute_name:
          description: the name of the attribute to use
          example: abc123
          type: string
      required:
        - attribute_id
        - attribute_name
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key from your incident.io dashboard (Settings → API keys)

````